%define release_tag 0
%define release_stamp 202410.1.gd990a3d

%define module_name     sensor-phy
%define kflavour        mcom03
%define karch           aarch64

%{?!kversion: %{expand: %(%_rpmlibdir/query-kEVR.sh --dbpath %_dbpath kernel-headers-modules-%{kflavour})} }

%define modules_dir /lib/modules/%kversion-%kflavour-%krelease/%module_name

Name: %module_name-%kflavour
Version: %release_tag
Release: %release_stamp.k%kversion.%krelease

Summary: Meta-package for PHY sensors drivers for Imgtec Felix ISP
Group: System/Kernel and hardware
License: GPL-2.0

BuildRequires(pre): rpm-build-kernel kernel-headers-modules-%kflavour

Source: %module_name-%release_stamp.tar.gz

Requires: kernel-modules-%module_name-%kflavour = %version-%release

%description


%package -n kernel-modules-%module_name-%kflavour

Summary: PHY sensors drivers for Imgtec Felix ISP
Group: System/Kernel and hardware

Requires(pre): kernel-image-%kflavour = %{?kepoch}%kversion-%krelease

%description -n kernel-modules-%module_name-%kflavour


%package -n %module_name-devel
Summary: Kernel Modules API header files
Group: Development/C
BuildArch: noarch

Provides: kernel-modules-%module_name-%kflavour-devel = %version-%release
Requires: kernel-headers-common

%description -n %module_name-devel
This package contains the header files.


%prep
%setup -n %module_name

%build
%make_build -C %_usrsrc/linux-%kversion-%kflavour M=`pwd` ARCH=%base_arch modules

%install
install -d %buildroot/%modules_dir
install -m644 sensor_phy.ko %buildroot%modules_dir
install -d %buildroot%_includedir/linux
install -m644 sensor_phy.h %buildroot%_includedir/linux

%files

%files -n kernel-modules-%module_name-%kflavour
%modules_dir/*

%files -n %module_name-devel
%_includedir/linux/*
